Skip to main content
GET
/
portfolio
/
{id}
/
emails
Get a company's emails
curl --request GET \
  --url https://api.cura.inc/portfolio/{id}/emails \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "attributes": {
        "company_id": "<string>",
        "subject": "<string>",
        "original_sender_name": "<string>",
        "original_sender_email": "<string>",
        "forwarder_email": "<string>",
        "text_body": "<string>",
        "html_body": "<string>",
        "email_date": "<string>",
        "created_at": "<string>"
      }
    }
  ],
  "pagination": {
    "limit": 20,
    "nextCursor": "2026-05-30T14:00:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

Your workspace API key (cura_…), sent as Authorization: Bearer <key>.

Path Parameters

id
string<uuid>
required

Portfolio company id.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

limit
integer
default:50

Max emails to return (1–100).

Required range: 1 <= x <= 100
Example:

50

cursor
string

Return emails sent before this ISO 8601 timestamp (from pagination.nextCursor).

Example:

"2026-05-30T14:00:00.000Z"

Response

A page of emails.

data
object[]
required
pagination
object
required

Cursor-based pagination metadata.